package com.yinet.wsyy.mapper;

import com.yinet.wsyy.domain.WsyyQuantum;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 时间段设置Mapper接口
 *
 * @author yinet
 * @date 2019-09-02
 */
public interface WsyyQuantumMapper {

    /**
     * 查询时间段设置列表
     *
     * @return 时间段设置集合
     */
    public List<WsyyQuantum> selectWsyyQuantumList(@Param("status") String status);

    public int changeStatus(WsyyQuantum wsyyQuantum);

    public WsyyQuantum selectWsyyQuantumById(@Param("wsyyQuantumId") Long wsyyQuantumId);
}
